ChangeReservationStatus ()

Using this function you can change the status of a specific reservation. You can also use this function to change the guest ID.

HTTP Request Method = POST.

https://sandbox.minihotel.cloud/agents/ws/sci/sciMain.asmx/ChangeReservationStatus
https://api2.minihotel.cloud/agents/ws/sci/sciMain.asmx/ChangeReservationStatus

Request

ParameterDescriptionType
ReservationNumberMinihotel reservation No. (9 characters length)String
NewStatusNew status code. The status codes are set inside the Minihotel settings, and can be customized. There are several standard codes (see the list below).String
IdentificationNumberNew guest ID Number, e.g. 3333333 (This is an optional parameter)String
OK: Confirmed
OK1–OK9: Mostly available for custom use
OK2: Confirmed – Channel Manager / OTAs
OK4: Confirmed – Booking Engine (Homepage)
WL: Waiting List
PN: Pending
IN: Checked-in
OUT: Checked-out
CL: Cancelled
BL: Blacklisted
LWP: Left Without Payment
BID: Bid / Quote
CLOSE: Closed Room
ALC: Allocation
PRE: Pre-authorization

ℹ️ Additional status values can be customized in the system setup.

Request Example

<Request>
<Reservations language="ENG">
	<Hotel id="sandbox" />
	<Authentication username="Test" password="3657488" />
	<ReservationNumber>007007974</ReservationNumber>
  <NewStatus>CL</NewStatus>
  <IdentificationNumber>33355411</IdentificationNumber>
</Reservations>
</Request>

Response

ParameterDescriptionType
ReservationsReservations ContainerList Of()
#ReservationReservation objectString
#attr numberReservation NumberString
#attr newstatusReservation New StatusString
#attr newguestidReservation New Guest IDString
#attr resultOne possible value: UPDATEDString

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>64 ms</ResponseTime>
        <DateTime>9/18/2018 09:15:32 PM</DateTime>
    </ServerInfo>
    <Reservations>
        <Reservation number=”070017974” newstatus=”CL” newguestid=”33355411” result=”UPDATED” />
    </Reservations>
</Response>

Error Codes

RESSTATUS001: Invalid Reservation Number
RESSTATUS002: Invalid Status Code

Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>62 ms</ResponseTime>
        <DateTime>9/18/2018 11:22:06 AM</DateTime>
    </ServerInfo>
    <Errors>
        <Error code="RESSTATUS001" description="Invalid Reservation Number" />
    </Errors>
</Response>